<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<?php
$payment_code = htmlspecialchars($_GET['payment_code'],ENT_QUOTES);

$sql_sale = "SELECT *
            FROM package_payment
            WHERE payment_code = '$payment_code'
            AND status='1'
            order by id Asc";
$result_sale = $mysqli-> query($sql_sale);
if ($result_sale -> num_rows > 0)
{
	$row_sale = $result_sale ->fetch_assoc();
    $sale_id = $row_sale['id'];
	$member_ref_code = $row_sale['ref_code'];
	$full_total_price = $row_sale['full_amount'];
    $payment_method = $row_sale['payment_method'];
    $created_date = date('d-m-Y', strtotime($row_sale['created_date']));
}

$sql_user = "SELECT * 
FROM user 
WHERE ref_code='$member_ref_code'
And status='1'";
$result_user = $mysqli->query($sql_user);
if ($result_user ->num_rows > 0)
{
	$row_user = $result_user ->fetch_assoc();
	$username = $row_user['username'];
    $name = $row_user['name'];
    $address = $row_user['address'];
    $address_2 = $row_user['address_2'];
    $postcode = $row_user['postcode'];
    $state = $row_user['state'];
    $country = $row_user['country'];
}  
?>

<div class="row">
<div class="col-md-12">
    <div class="card card-body printableArea">
        <h3><b>INVOICE</b> <span class="pull-right">#<?php echo $sale_id; ?></span></h3>
        <hr>
        <h3><img src="../Assets/images/Logo.png" style="border-radius:10px;" width="160px" height="120px"> <span class="pull-right"><b>PRIMASA NETWORK SDN BHD</b></span></h3>
        <div class="col-md-12">
            <div class="table-responsive m-t-40" style="clear: both;">
                <table class="table table-hover">
                    <tbody>
                        <tr>
                            <td class="text-center">Username</td>
                            <td><?php echo $username; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Name</td>
                            <td><?php echo $name; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">ID No.</td>
                            <td><?php echo $member_ref_code; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Invoice Date</td>
                            <td><?php echo $created_date; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Sales Type</td>
                            <td><?php echo "Repurchase"; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Address</td>
                            <td>
                            <?php echo $address; ?> <?php echo $address_2; ?><br>
                            <?php echo $postcode; ?>,<br>
                            <?php echo $state; ?>,<br>
                            <?php echo $country; ?>,<br>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive m-t-40" style="clear: both;">
                <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Rank Name <font color="white">_______</font></th>
                        <th>Quantity</th>
                        <th>Total Price (RM)</th>
                        <th>Date Purchased</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php
                    $q = "SELECT *
                    FROM package_payment
                    WHERE payment_code = '$payment_code'
                    AND status='1'
                    order by id Asc";
                    $result = $mysqli->query($q);
                    if ($result ->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        { 
						    $id = $record['id'];
                            $role_name = $record['role_name'];
                            $total_price = $record['full_amount'];
                            $total_quantity = 1;
                            $created_date = date('d-m-Y', strtotime($record['created_date']));
                    ?>
                    <form method="post" onsubmit="return confirm('Do you want to proceed?');" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                    <tr>
                        <td><?php echo $role_name; ?></td>
                        <td><?php echo $total_quantity; ?></td>
                        <td><?php echo $total_price; ?></td>
                        <td><?php echo $created_date; ?></td>
                    </form> 
                    </tr>
                    <?php 
                    }
                    }
                    ?>
                </tbody>
                </table>

                <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Payment Mode</th>
                        <th>Amount (RM)</th>
                        <th>Remarks</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <tr>
                        <td><?php echo $payment_method; ?></td>
                        <td><?php echo $total_price; ?></td>
                        <td></td>
                    </tr>
                </tbody>
                </table>
                </div>
                <a href="list_of_package.php"class="btn btn-success">Back</a>
            </div>  
        </div>
    </div>
</div>
</div>

                


</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->



</body>

</html>