<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">
    <!-- Main wrapper - style you can find in pages.scss -->
    <div id="main-wrapper">    
        <?php include ("../Header/header.php"); ?>
        <?php include ("../Header/left_menu.php"); ?>
        <?php include ("../Header/right_sidebar.php"); ?>
        
        <!-- Page wrapper  -->
        <div class="page-wrapper">
            <!-- Container fluid  -->
            <div class="container-fluid">

                <!-- Bread crumb and right sidebar toggle -->
                <!--?php include ("../Header/breadcumb.php"); ?-->
                <br><br>
                <!-- End Bread crumb and right sidebar toggle -->   
                <!-- Start Page Content -->
                <!-- ============================================================== -->

                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                                    <div class="form-body">
                                        <font size="4">Create New Customer Account</font><br>
                                        <font size="2">Enter details to create new account.</font>
                                        <hr>

                                        <div class="row p-t-20">
                                            <div class="col-md-4">
                                                <label class="control-label">Country</label>
                                                <select  name="country" id="select" class="form-control" required>
								                    <?php include("../Extra/Country.php"); ?>
                                                </select>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="control-label">First Name</label>
                                                    <input type="text" class="form-control" name="name" required >
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="control-label">Last Name</label>
                                                    <input type="text" class="form-control" name="last_name"  required>
                                                </div>
                                            </div>
                                                                                  
                                        </div>

                                        <div class="row p-t-20">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="control-label">Username</label>
                                                    <input type="text" class="form-control" name="nick_name" >
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="control-label">Email address</label>
                                                    <input type="email" class="form-control" name="email" >
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label class="control-label">Phone Number</label>
                                                    <input type="text" class="form-control" name="phone_number"  required>
                                                </div>
                                            </div>                                          
                                        </div>

                                        <div class="row p-t-20">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label class="control-label">Address</label><br>
                                                    <textarea name="address" class="form-control" rows="3"></textarea>
                                                </div>
                                            </div>                                                                                    
                                        </div>
                                        <input type="checkbox"value="" required>
                                        <label > I agree to the Terms and Conditions.</label><br>
                                    </div>

                                    <div class="form-actions">
                                        <input type="hidden" class="form-control" name="from_web" value="System">
                                        <input type="hidden" class="form-control" name="sponsor_code" value="<?php echo $ref_code; ?>">
                                        <a href="add_new_user.php" class="btn btn-info">Reset</a>
                                        <button name="customer_registration" class="btn btn-primary"><i class="fa fa-check"></i> Proceed</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
               				
                <!-- ============================================================== -->
                <!-- End PAge Content -->

            </div>
            <!-- End Container fluid  -->
        </div>
        <!-- End Page wrapper  -->

        <!-- Footer Start-->
        <?php include ("../Footer/footer.php"); ?>
        <!-- Footer End-->

    </div>
    <!-- End Wrapper -->
    <!-- All Jquery -->
    

     <!-- All Jquery Start-->
    <?php include ("../Header/all_jquery.php"); ?>
    <!-- All Jquery End-->

</body>

</html>