<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<?php 
if ($level != '1')
{
?>
<div class="row">
<div class="col-lg-12">
    <div class="card">
        <div class="card-body">
            <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data" onsubmit="return confirm('Do you want to proceed?');" onsubmit="return postForm()">
                <div class="form-body">

                    <h3 class="card-title">Upgrade Package</h3> 
                    <hr>
                    <div class="row p-t-20">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Name</label>
                                <input type="text" class="form-control" value="<?php echo $name; ?>" readonly>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Username</label>
                                <input type="text" class="form-control" value="<?php echo $username; ?>" readonly>
                            </div>
                        </div>
                    
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Upgrade To</label>
                                <br>
                                <select class="form-control" name="role_id" required>
                                    <?php
                                    $q = "SELECT *
                                    FROM member_setting
                                    WHERE rank < '$rank' 
                                    AND status='1'
                                    order by modal_price Asc";
                                    $result = $mysqli->query($q);
                                    if ($result ->num_rows > 0)
                                    {
                                        while($record = $result -> fetch_assoc())
                                        {
                                            $role_id = $record['id'];
                                            $role_name = $record['role_name'];
                                            $modal_price = $record['modal_price'];
                                            ?>
                                            <option value="<?php echo $role_id; ?>"><?php echo $role_name; ?> | RM <?php echo $modal_price; ?></option>
                                            <?php
                                        }
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Activate Using</label>
                                <br>
                                <select class="form-control" name="activation_way" id="activation_way" onchange="myCalculation()" required>
                                    <option value="">Please Select Way Of Activation</option>
                                    <option value="FPX">FPX Or Credit Card</option>
                                    <option value="Cash">Cash</option>
                                    <!--option value="activation_wallet">Using My Activation Wallet (A-Wallet Balance: RM<?php echo $product_wallet; ?>)</option-->  
                                </select>
                            </div>
                        </div>
                    </div>
                    <input type="hidden" class="form-control"  name="from_page" value="activate_account.php">
                    <input type="hidden" class="form-control"  name="ref_code" value="<?php echo $ref_code; ?>">
                    <input type="hidden" class="form-control"  name="activation_charge" value="Not_Free">
                    <input type="hidden" class="form-control"  name="keyin_status" value="<?php echo $keyin_status; ?>">
                </div>
                <div class="form-actions">               
                    <button name="activate_new_user" class="btn btn-success"><i class="fa fa-check"></i> Click To Pay And Get Activated </button>      
                </div>
            </form>
        </div>
    </div>                     
</div>
</div>	
<?php
}
?>

<?php 
if ($level == '1')
{
?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <form method="post" action="" enctype="multipart/form-data">
                        <div class="form-body">
                            <h3 class="card-title">Date Selection</h3>
                            <hr>
                            <div class="row p-t-20">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">From</label>
                                        <input type="date" class="form-control" name="from_date"  required>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">To</label>
                                        <input type="date" class="form-control" name="to_date"  required>
                                    </div>
                                </div>                   
                            </div>
                        </div>
                        <div class="form-actions">
                            <button name="Date_Selection" class="btn btn-success"><i class="fa fa-check"></i> Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php
}
?>

<?php
if (isset($_POST['Date_Selection'])) 
{
    $from_date = $_POST['from_date'];

    $to_date = $_POST['to_date'];
    $to_date = date('Y-m-d', strtotime("+1 day", strtotime($to_date)));

    $from_date_display = date('d-m-Y', strtotime($_POST['from_date']));
    $to_date_display = date('d-m-Y', strtotime($_POST['to_date']));
}

date_default_timezone_set("Asia/Kuala_Lumpur");
$current_date = date('Y-m-d');

if ( $from_date == "" )
{
    $from_date_display = date("01-m-Y", strtotime($current_date));
    $from_date = date("Y-m-01", strtotime($current_date));
}

if ( $to_date == "" )
{
    $to_date_display = date("t-m-Y", strtotime($current_date));
    $to_date = date("Y-m-t", strtotime($current_date));
}
?>

<div class="row">
<div class="col-12">
<div class="card">
    <div class="card-body">
        <?php 
        if ($level == '1')
        {
        ?>
            <h4 class="card-title">Members Package From <?php echo $from_date_display; ?> To <?php echo $to_date_display; ?></h4>
        <?php
        }
        else
        {
        ?>
            <h4 class="card-title">My Package</h4>
        <?php
        }
        ?>
        <div class="table-responsive m-t-40">            
            <table id="example23" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Package ID</th>
                        <th>Member Info</th>
                        <th>Role Name</th>
                        <th>Package Price</th>
                        <th>Payment Method</th>
                        <th>Purchase Date</th>
                        <th>Activation Status</th>
                        <th>Action</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php
                    if ($level == '1')
                    {
                        $q = "SELECT *
                        FROM package_payment
                        Where status != '9'
                        And created_date >= '$from_date'
                        And created_date <= '$to_date'
                        order by id Desc";
					}
                    else
                    if ($level == '2')
                    {
                        $q = "SELECT *
                        FROM package_payment
                        Where ref_code = '$ref_code'
                        And status != '9'
                        order by id Desc";
					}

                    $result = $mysqli->query($q);
                    if ($result->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        {  
						    $id = $record['id'];
                            $order_id  = $record['order_id'];
                            $role_name  = $record['role_name'];
                            $ref_code  = $record['ref_code'];
                            $amount  = $record['amount'];
                            $payment_code  = $record['payment_code'];
                            $payment_method  = $record['payment_method'];
                            $activation_status_1  = $record['status'];
                            $created_date = date('d-m-Y H:i:s', strtotime($record['created_date']));

                            if ($activation_status_1 == '0')
                            {
                                $activation_status = "Pending Activation";
                            }
                            else
                            if ($activation_status_1 == '1')
                            {
                                $activation_status = "Active";
                            }

                            $sql_user = "SELECT * 
                            FROM user 
                            WHERE ref_code='$ref_code'
                            And status='1'";
                            $result_user = $mysqli->query($sql_user);
	                        if ($result_user ->num_rows > 0)
	                        {
		                        $row_user = $result_user ->fetch_assoc();
		                        $type_of_user = $row_user['type_of_user'];
                                $name = $row_user['name'];
                                $last_name = $row_user['last_name'];
                                $email = $row_user['email'];
                                $phone_number = $row_user['phone_number'];
	                        }  

                            $sql_payment = "SELECT *
				                            FROM payment
				                            WHERE trans_code = '$payment_code'
				                            LIMIT 1";
                            $result_payment = $mysqli-> query($sql_payment);
                            if ($result_payment -> num_rows > 0)
                            {
	                            $row_payment = $result_payment ->fetch_assoc();
	                            $billcode  = $row_payment['payment_code'];
                            }
                    ?>
                    <form method="post" action="../Controller/Database_sql.php" onsubmit="return confirm('Do you want to proceed?');" enctype="multipart/form-data">
                    <tr>
                        <td>PCK<?php echo $id; ?></td>
                        <td><?php echo $ref_code;?> | <?php echo $name;?></td>
                        <td><?php echo $role_name; ?></td>
                        <td>RM <?php echo number_format($amount,2); ?></td>
                        <td><?php echo $payment_method; ?></td>
                        <td><?php echo $created_date; ?></td>
                        <td><?php echo $activation_status; ?></td>
                        <td>
                        <?php
                        if ($activation_status_1 == '0' && $level == '1')
                        {
                            ?>
                            <a href="../Controller/Database_sql.php?form_name_Approve_Package=Approve_Package&payment_code=<?php echo $payment_code;?>"class="btn btn-success">Approve Payment</a></td>
                            <?php
                        }
                        else
                        if ($activation_status_1 == '1')
                        {
                            ?>
                            <a href="activation_invoice.php?payment_code=<?php echo $payment_code; ?>"class="btn btn-success">View Invoice</a></td>
                            <?php
                        }
                        ?>
                        
                        <?php
                        }  
                    }
                        ?>
                    </form> 
                    </tr>
                </tbody>
            </table>
            </form>                                 
        </div>
    </div>
</div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>