<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<?php
if ($ref_code != "PRM10000") 
{
    echo "<script type='text/javascript'>alert('You are not authorized');</script>";
    unset($_SESSION['sess_user']);
    session_destroy();
    echo "<script type='text/javascript'> document.location='https://primasarich2u.biz/log-masuk/'; </script>";
} 
?>

<!--div class="row">
<div class="col-lg-12">
<div class="card">
    <div class="card-body">
        <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
            <div class="form-body">
                <h3 class="card-title">Add New Package Setting</h3>
                <hr>
                <div class="row p-t-20">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Package Name</label>
                            <input type="text" class="form-control" name="package_name" required>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Package Price (RM)</label>
                            <input type="number" class="form-control" name="package_price" required>
                        </div>
                    </div>                      
                </div>
            </div>
            <div class="form-actions">
                <button name="Add_Package_Setting" class="btn btn-success"><i class="fa fa-check"></i> Add</button>
            </div>
        </form>
    </div>
</div>
</div>
</div-->

<div class="row">
<div class="col-12">
<div class="card">
    <div class="card-body">
        <h4 class="card-title">Package Settings</h4>
        <div class="table-responsive m-t-40">            
            <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Package Code</th>
                        <th>Package Name <font color="White">______</font></th>
                        <th>Package Price (RM)</th>
                        <th>Package Auto Wallet Option 1 (RM)</th>
                        <th>Package Auto Wallet Option 2 (RM)</th>
                        <th>Action</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php
                    $q = "SELECT *
                    FROM package_setting
                    Where status='1'
                    order by package_price Desc";
                    $result = $mysqli->query($q);
                    if ($result ->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        {    
						    $id = $record['id'];
                            $package_ref_code = $record['package_ref_code'];
                            $package_name = $record['package_name'];
                            $package_price = $record['package_price']; 
                            $package_auto_wallet_1 = $record['package_auto_wallet_1']; 
                            $package_auto_wallet_2 = $record['package_auto_wallet_2']; 
                    ?>
                    <form method="post" onsubmit="return confirm('Do you want to proceed?');" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                    <tr>
                        <td><?php echo $package_ref_code; ?></td>
                        <td><input type="text" class="form-control" name="package_name" value="<?php echo $package_name; ?>"></td>
                        <td><input type="number" class="form-control" name="package_price" value="<?php echo $package_price; ?>"></td>  
                        <td><input type="number" class="form-control" name="package_auto_wallet_1" value="<?php echo $package_auto_wallet_1; ?>"></td>  
                        <td><input type="number" class="form-control" name="package_auto_wallet_2" value="<?php echo $package_auto_wallet_2; ?>"></td>  
                        <input type="hidden" class="form-control"  name="id" value="<?php echo $id; ?>">
                        <td>
                            <a href="commission_setting_1.php?package_ref_code=<?php echo $package_ref_code; ?>" class="btn btn-primary">Commission Setting</a>
                            <button name="Update_Package_Setting" class="btn btn-success"><i class="fa fa-check"></i> Update</button>
                            <button name="Delete_Package_Setting" class="btn btn-danger"> Remove</button>                                   
                        </td>
                    </form> 
                    </tr>
                    <?php 
                    }
                    }
                    ?>
                </tbody>
            </table>
            </form>                                 
        </div>
    </div>
</div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>