<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<?php
$payment_way = htmlspecialchars($_POST['payment_way'], ENT_QUOTES);
$nick_name = htmlspecialchars($_POST['nick_name'], ENT_QUOTES);
$ref_code_owner_stock = htmlspecialchars($_POST['ref_code_owner_stock'], ENT_QUOTES);

$product_code_1 = htmlspecialchars($_POST['product_code_1'], ENT_QUOTES);
$total_quantity_1 = htmlspecialchars($_POST['total_quantity_1'], ENT_QUOTES);

$product_code_2 = htmlspecialchars($_POST['product_code_2'], ENT_QUOTES);
$total_quantity_2 = htmlspecialchars($_POST['total_quantity_2'], ENT_QUOTES);

$product_code_3 = htmlspecialchars($_POST['product_code_3'], ENT_QUOTES);
$total_quantity_3 = htmlspecialchars($_POST['total_quantity_3'], ENT_QUOTES);

$product_code_4 = htmlspecialchars($_POST['product_code_4'], ENT_QUOTES);
$total_quantity_4 = htmlspecialchars($_POST['total_quantity_4'], ENT_QUOTES);

$product_code_5 = htmlspecialchars($_POST['product_code_5'], ENT_QUOTES);
$total_quantity_5 = htmlspecialchars($_POST['total_quantity_5'], ENT_QUOTES);

$product_code_6 = htmlspecialchars($_POST['product_code_6'], ENT_QUOTES);
$total_quantity_6 = htmlspecialchars($_POST['total_quantity_6'], ENT_QUOTES);

$product_code_7 = htmlspecialchars($_POST['product_code_7'], ENT_QUOTES);
$total_quantity_7 = htmlspecialchars($_POST['total_quantity_7'], ENT_QUOTES);

$product_code_8 = htmlspecialchars($_POST['product_code_8'], ENT_QUOTES);
$total_quantity_8 = htmlspecialchars($_POST['total_quantity_8'], ENT_QUOTES);

$product_code_9 = htmlspecialchars($_POST['product_code_9'], ENT_QUOTES);
$total_quantity_9 = htmlspecialchars($_POST['total_quantity_9'], ENT_QUOTES);

$product_code_10 = htmlspecialchars($_POST['product_code_10'], ENT_QUOTES);
$total_quantity_10 = htmlspecialchars($_POST['total_quantity_10'], ENT_QUOTES);

if($payment_way == "Cash_And_Wallet")
{
    $payment_way_display = "Wallet & Cash";
}
else
{
    $payment_way_display = $payment_way;
}

function check_product_info($product_code)
{
	global $mysqli;

    $sql_product = "SELECT *
				   FROM product_setting
				   Where product_code  = '$product_code'
				   And status='1'";
    $result_product = $mysqli-> query($sql_product);
    if ($result_product -> num_rows > 0)
    {
	    $row_product = $result_product ->fetch_assoc();
        $product_name = $row_product['product_name'];
	    $product_price = $row_product['product_price'];
	    $product_pv = $row_product['product_pv'];
    }

    return array($product_name, $product_price, $product_pv);
}

$product_looping = array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10");

?>
<div class="row">
<div class="col-lg-12">
<div class="card">
    <div class="card-body">
        <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
            <div class="form-body">
                <h3 class="card-title">Repeat Sale Confirmation</h3>
                <hr>
                <div class="row p-t-20">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Member Username</label>
                            <input type="text" class="form-control" name="nick_name" value="<?php echo $nick_name; ?>" readonly>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Payment Using</label>
                            <br>
                            <select class="form-control" name="payment_way" id="payment_way" onchange="myCalculation()" readonly>
                                <option value="<?php echo $payment_way; ?>"><?php echo $payment_way_display; ?></option>
                            </select>
                        </div>
                    </div>

                    <?php
                    foreach ($product_looping as $product_looping_list) 
		            {
                        if($product_looping_list == '1')
                        {
                            $product_code = $product_code_1;
                            $total_quantity = $total_quantity_1;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_1 = $product_price * $total_quantity;
                                $total_product_pv_1 = $product_pv * $total_quantity;
                            } 
                        }
                        else
                        if($product_looping_list == '2')
                        {
                            $product_code = $product_code_2;
                            $total_quantity = $total_quantity_2;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_2 = $product_price * $total_quantity;
                                $total_product_pv_2 = $product_pv * $total_quantity;
                            } 
                        }
                        else
                        if($product_looping_list == '3')
                        {
                            $product_code = $product_code_3;
                            $total_quantity = $total_quantity_3;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_3 = $product_price * $total_quantity;
                                $total_product_pv_3 = $product_pv * $total_quantity;
                            } 
                        }
                        else
                        if($product_looping_list == '4')
                        {
                            $product_code = $product_code_4;
                            $total_quantity = $total_quantity_4;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_4 = $product_price * $total_quantity;
                                $total_product_pv_4 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '5')
                        {
                            $product_code = $product_code_5;
                            $total_quantity = $total_quantity_5;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_5 = $product_price * $total_quantity;
                                $total_product_pv_5 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '6')
                        {
                            $product_code = $product_code_6;
                            $total_quantity = $total_quantity_6;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_6 = $product_price * $total_quantity;
                                $total_product_pv_6 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '7')
                        {
                            $product_code = $product_code_7;
                            $total_quantity = $total_quantity_7;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_7 = $product_price * $total_quantity;
                                $total_product_pv_7 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '8')
                        {
                            $product_code = $product_code_8;
                            $total_quantity = $total_quantity_8;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_8 = $product_price * $total_quantity;
                                $total_product_pv_8 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '9')
                        {
                            $product_code = $product_code_9;
                            $total_quantity = $total_quantity_9;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_9 = $product_price * $total_quantity;
                                $total_product_pv_9 = $product_pv * $total_quantity;
                            }
                        }
                        else
                        if($product_looping_list == '10')
                        {
                            $product_code = $product_code_10;
                            $total_quantity = $total_quantity_10;
                            $product_name =  check_product_info($product_code)[0];
                            $product_price =  check_product_info($product_code)[1];
                            $product_pv =  check_product_info($product_code)[2];

                            if ($product_pv != "")
                            {
                                $total_product_price_10 = $product_price * $total_quantity;
                                $total_product_pv_10 = $product_pv * $total_quantity;
                            }
                        }

                        $full_total_price = $total_product_price_1 + $total_product_price_2 + $total_product_price_3 + $total_product_price_4 + $total_product_price_5 + $total_product_price_6 + $total_product_price_7 + $total_product_price_8 + $total_product_price_9 + $total_product_price_10;
                        $full_total_pv =  $total_product_pv_1 + $total_product_pv_2 + $total_product_pv_3 + $total_product_pv_4 + $total_product_pv_5 + $total_product_pv_6 + $total_product_pv_7 + $total_product_pv_8 + $total_product_pv_9 + $total_product_pv_10;
                        $full_total_reward = $full_total_pv / 10;

                        ?>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Product <?php echo $product_looping_list; ?></label>
                                <select class="form-control" name="product_code_<?php echo $product_looping_list; ?>" readonly>
                                <?php
                                if ($product_code != "")
                                {
                                    ?>
                                    <option value="<?php echo $product_code; ?>"><?php echo $product_name; ?> | RM <?php echo $product_price; ?> | <?php echo $product_pv; ?> PV</option> 
                                    <?php
                                }
                                else
                                {
                                    ?>
                                    <option value=""></option> 
                                    <?php
                                }
                                ?>
                                
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Quantity</label>
                                <input type="number" class="form-control" name="total_quantity_<?php echo $product_looping_list; ?>" value="<?php echo $total_quantity; ?>" readonly> 
                            </div>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>

            <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Amount (RM)</th>
                        <th>PV (PV)</th>
                        <th>Reward (Point)</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <tr>
                        <td><?php echo number_format($full_total_price,2); ?></td>
                        <td><?php echo number_format($full_total_pv,2); ?></td>
                        <td><?php echo number_format($full_total_reward,2); ?></td>
                    </tr>
                </tbody>
            </table>

            <div class="form-actions">
                <!--input type="hidden" class="form-control" name="ref_code" value="<?php echo $ref_code; ?>"-->
                <input type="hidden" class="form-control" name="ref_code_owner_stock" value="<?php echo $ref_code_owner_stock; ?>">
                <button name="Purchase_Product" class="btn btn-success"><i class="fa fa-check"></i> Purchase</button>
            </div>
        </form>
    </div>
</div>
</div>
</div>

<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>