<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<?php
$member_ref_code = htmlspecialchars($_GET['member_ref_code'], ENT_QUOTES);
$member_nick_name = htmlspecialchars($_GET['member_nick_name'], ENT_QUOTES);

if ($member_ref_code != "")
{
    $ref_code = $member_ref_code;
    $Wording = "For $member_nick_name";
}

$sql_wallet = "SELECT * 
FROM wallet 
WHERE ref_code='$ref_code' 
LIMIT 1";
$result_wallet = $mysqli->query($sql_wallet);
if ($result_wallet ->num_rows > 0)
{
	$row_wallet = $result_wallet ->fetch_assoc();
    $e_wallet = $row_wallet['cash_wallet'];
    $product_wallet = $row_wallet['product_wallet'];
}

$product_looping = array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10");

?>
<div class="row">
<div class="col-lg-12">
<div class="card">
    <div class="card-body">
        <form method="post" action="product_purchase.php" enctype="multipart/form-data">
            <div class="form-body">
                <h3 class="card-title">Repeat Sale <?php echo $Wording; ?></h3>
                <hr>
                <div class="row p-t-20">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Member Username</label>
                            <?php if ($rank == "3")
                            {
                                ?>
                                <input type="text" class="form-control" name="nick_name" value="<?php echo $username; ?>" readonly>
                                <?php
                            }
                            else
                            {
                                ?>
                                <input type="text" class="form-control" name="nick_name" <?php if ($member_nick_name != ""){?> value="<?php echo $member_nick_name; ?>" <?php } ?> required>
                                <?php
                            }
                            ?>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label">Payment Using</label>
                            <br>
                            <select class="form-control" name="payment_way" id="payment_way" onchange="myCalculation()" required>
                                <option value="">Please Select Way Of Payment</option>
                                <option value="FPX">FPX Or Credit Card</option>
                                <option value="Cash">Cash</option>
                                <option value="Wallet">E-Wallet (RM <?php echo $e_wallet; ?>)</option>
                                <option value="Cash_And_Wallet">E-Wallet (RM <?php echo $e_wallet; ?>) & Cash</option>
                                <?php
                                if ($rank == "1" || $rank == "2") //Only PJU and Stokist can deduct from stock
                                {
                                    ?>
                                    <option value="Stock">My Stock</option>
                                    <?php
                                }
                                ?>
                                <!--option value="activation_wallet">Using My Activation Wallet (A-Wallet Balance: RM<?php echo $product_wallet; ?>)</option-->  
                            </select>
                        </div>
                    </div>

                    <?php
                    foreach ($product_looping as $product_looping_list) 
		            {
                        ?>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Product <?php echo $product_looping_list; ?></label>
                                <select class="form-control" name="product_code_<?php echo $product_looping_list; ?>">
                                <option value="">Select Product</option>
                                    <?php
                                    $q = "SELECT *
                                    FROM product_setting
                                    WHERE status='1'
                                    order by product_price Asc";
                                    $result = $mysqli->query($q);
                                    if ($result ->num_rows > 0)
                                    {
                                        while($record = $result -> fetch_assoc())
                                        {
                                            $product_id = $record['id'];
                                            $product_code = $record['product_code'];
                                            $product_price = $record['product_price'];
                                            $product_pv = $record['product_pv'];
                                            $product_name = $record['product_name'];

                                            if ($rank == "1" || $rank == "2") //Only PJU and Stokist can deduct from stock
                                            {
                                                $sql_my_stock = "SELECT *
                                                FROM product_stock
                                                WHERE ref_code = '$ref_code' 
                                                AND product_code = '$product_code'
                                                LIMIT 1";
                                                $result_my_stock = $mysqli-> query($sql_my_stock);
	                                            $row_my_stock = $result_my_stock ->fetch_assoc();
	                                            $my_product_stocks_1 = $row_my_stock['product_stocks'];

                                                if ($my_product_stocks_1 > 0)
                                                {
                                                    $my_product_stocks = $my_product_stocks_1;
                                                }
                                                else
                                                {
                                                    $my_product_stocks = 0;
                                                }
                                            }

                                            ?>
                                            <option value="<?php echo $product_code; ?>"><?php echo $product_name; ?> | RM <?php echo $product_price; ?> | <?php echo $product_pv; ?> PV 
                                            <?php
                                            if ($rank == "1" || $rank == "2") //Only PJU and Stokist can deduct from stock
                                            {
                                                ?>
                                                (My Stock: <?php echo $my_product_stocks; ?>)
                                                <?php
                                            }
                                            ?>
                                            </option>
                                            <?php
                                        }
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Quantity</label>
                                <input type="number" class="form-control" name="total_quantity_<?php echo $product_looping_list; ?>">
                            </div>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <div class="form-actions">
                <!--input type="hidden" class="form-control" name="ref_code" value="<?php echo $ref_code; ?>"-->
                <input type="hidden" class="form-control" name="ref_code_owner_stock" value="<?php echo $ref_code; ?>">
                <button name="Purchase_Product_Confirmation" class="btn btn-success"><i class="fa fa-check"></i> Purchase</button>
            </div>
        </form>
    </div>
</div>
</div>
</div>

<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>