<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<div class="row">
<div class="col-12">
<div class="card">
    <div class="card-body">
        <h4 class="card-title">Purchase History</h4>
        <div class="table-responsive m-t-40">            
            <table id="example23" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Purchase ID</th>
                        <th>Member Info <font color="white">_______</font></th>
                        <th>Product Info <font color="white">_______</font></th>
                        <th>Total Quantity</th>
                        <th>Total Price (RM)</th>
                        <th>Total PV (PV)</th>
                        <th>Total Reward (Point)</th>
                        <th>Date Purchased</th>
                        <th>Payment Type</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php
                    if ($level == '1')
                    {
                        $q = "SELECT *
                        FROM product_sale
                        WHERE status != '9'
                        group by payment_code
                        order by id Desc";
                    }
                    else
                    if ($level == '2')
                    {
                        $q = "SELECT *
                        FROM product_sale
                        WHERE ref_code = '$ref_code'
                        AND status != '9'
                        group by payment_code
                        order by id Desc";
                    }

                    $result = $mysqli->query($q);
                    if ($result ->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        { 
						    $id = $record['id'];
                            $member_ref_code = $record['ref_code'];
                            $payment_code = $record['payment_code'];
                            $status_1 = $record['status'];
                            $created_date = date('d-m-Y', strtotime($record['created_date']));

                            if ($status_1 == '0')
                            {
                                $status = "Pending";
                            }
                            else
                            if ($status_1 == '1')
                            {
                                $status = "Approved";
                            }

                            $data_total = "SELECT SUM(total_quantity) As total_quantity, SUM(total_price) As total_price, SUM(total_pv) As total_pv, SUM(total_reward) As total_reward 
                            FROM product_sale
                            WHERE payment_code = '$payment_code'";    
                            $result_total = $mysqli->query($data_total);
	                        if ($result_total ->num_rows > 0)
	                        {
		                        $row_total = $result_total ->fetch_assoc();
		                        $full_total_quantity = number_format($row_total['total_quantity'],2);
                                $full_total_price = number_format($row_total['total_price'],2);
                                $full_total_pv = number_format($row_total['total_pv'],2);
                                $full_total_reward = number_format($row_total['total_reward'],2);
	                        }

                            $sql_user = "SELECT *
                            FROM user
                            WHERE ref_code = '$member_ref_code'
		                    AND status = '1'";
		                    $result_user = $mysqli-> query($sql_user);
		                    if ($result_user -> num_rows > 0)
		                    {
			                    $row_user = $result_user ->fetch_assoc();
			                    $My_ref_code = $row_user['ref_code'];
			                    $Member_username = $row_user['username'];
			                    $My_sponsorlvl1_code = $row_user['sponsor_code'];
			                    $keyin_code = $row_user['keyin_code'];
			                    $Name = $row_user['name'];
			                    $Email = $row_user['email'];
			                    $phone_number = $row_user['phone_number'];
		                    }

                            $sql_payment = "SELECT * 
                            FROM payment 
                            WHERE payment_code='$payment_code' ";
                            $result_payment = $mysqli-> query($sql_payment);
                            if ($result_payment -> num_rows > 0)
                            {
	                            $row_payment = $result_payment ->fetch_assoc();
	                            $payment_type = $row_payment['payment_type'];
                                $amount_wallet = $row_payment['amount_wallet'];

                                if($payment_type == "Cash_And_Wallet")
                                {
                                    $payment_type_display = "Wallet & Cash";
                                    $amount_cash = $full_total_price - $amount_wallet;
                                }
                                else
                                {
                                    $payment_type_display = $payment_type;
                                }
                            }
                    ?>
                    <form method="post" onsubmit="return confirm('Do you want to proceed?');" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                    <tr>
                        <td><?php echo $id; ?></td>
                        <td><?php echo $Member_username; ?> | <?php echo $Name; ?></td>
                        <td>
                            <?php
                            $q_info = "SELECT *
                            FROM product_sale
                            WHERE payment_code = '$payment_code'
                            order by id Asc";
                            $result_info = $mysqli->query($q_info);
                            if ($result_info ->num_rows > 0)
                            {
                                while($record_info = $result_info -> fetch_assoc())
                                { 
						            $id = $record_info['id'];
                                    $product_code = $record_info['product_code'];
                                    $total_quantity = $record_info['total_quantity'];
                                    $total_price = $record_info['total_price'];
                                    $total_pv= $record_info['total_pv'];
                                    $total_reward= $record_info['total_reward'];

                                    $sql_product = "SELECT *
				                    FROM product_setting
				                    Where product_code  = '$product_code'
				                    And status='1'";
                                    $result_product = $mysqli-> query($sql_product);
                                    if ($result_product -> num_rows > 0)
                                    {
	                                    $row_product = $result_product ->fetch_assoc();
	                                    $product_name = $row_product['product_name'];
                                    }
                                    ?>

                                    <?php echo $product_name; ?> | QTY: <?php echo $total_quantity; ?> | Price: RM <?php echo $total_price; ?> | <?php echo $total_pv; ?> PV | <?php echo $total_reward; ?> Point<br>
                                <?php
                                }
                            }
                            ?>
                        </td>
                        <td><?php echo $full_total_quantity; ?></td>
                        <td><?php echo $full_total_price; ?></td>
                        <td><?php echo $full_total_pv; ?></td>
                        <td><?php echo $full_total_reward; ?></td>
                        <td><?php echo $created_date; ?></td>
                        <td>
                        <?php echo $payment_type_display; ?>
                        <?php if ($payment_type == "Cash_And_Wallet")
                        {
                            ?>
                            <br><b>Wallet: RM <?php echo $amount_wallet; ?></b>
                            <br><b>Cash: RM <?php echo number_format($amount_cash,2); ?></b>
                            <?php
                        }
                        ?>
                        </td>
                        <td><?php echo $status; ?></td>
                        <td>
                        <?php
                        if ($status_1 == '0' && $level == '1')
                        {
                            ?>
                            <a href="checkout_proceed_B_payment_product_cash.php?payment_code=<?php echo $payment_code; ?>"class="btn btn-success">Approve</a>
                            <?php
                        }
                        else
                        if ($status_1 == '1')
                        {
                            ?>
                             <a href="purchase_invoce.php?payment_code=<?php echo $payment_code; ?>"class="btn btn-success">View Invoice</a>
                            <?php
                        }
                        ?>
                       </td>
                    </form> 
                    </tr>
                    <?php 
                    }
                    }
                    ?>
                </tbody>
            </table>
            </form>                                 
        </div>
    </div>
</div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>