
<?php
    date_default_timezone_set("Asia/Kuala_Lumpur");
	$today = date('Y-m-d');
   
    $sql_new_announcement =
    "select Count(id) As num 
    FROM announcement
    Where status = '1'
    And created_date = '$today' ";    
    $result_new_announcement = $mysqli->query($sql_new_announcement);
    $row_new_announcement = $result_new_announcement->fetch_assoc();
    $new_announcement = $row_new_announcement['num'];		
    
    $sql_data = "select COUNT(id) As num 
    from user 
    WHERE level = '2' 
    AND status='1'";
    $result_data = $mysqli->query($sql_data);
    $row_data = $result_data->fetch_assoc();
    $total_downline = $row_data['num'];	

    $data_total_package_paid = 
    "SELECT SUM(amount) As num 
    FROM package_payment
    WHERE status = '1'";    
    $result_total_package_paid = $mysqli->query($data_total_package_paid);
	if ($result_total_package_paid ->num_rows > 0)
	{
		$row_total_package_paid = $result_total_package_paid ->fetch_assoc();
		$full_total_package_paid = number_format($row_total_package_paid['num'],2);
	}


    $data_total_commission = 
    "SELECT SUM(in_transactions) As num 
    from transactions
    WHERE type_of_transaction In ('In')  
    AND type_of_process Like 'bonus_unilevel_level_%'
    AND in_transactions != '0'
    AND status = '1'";    
    $result_total_commission = $mysqli->query($data_total_commission);
	if ($result_total_commission ->num_rows > 0)
	{
		$row_total_commission = $result_total_commission ->fetch_assoc();
		$full_total_commission = number_format($row_total_commission['num'],2);
	}

    $data_wallet = 
    "SELECT SUM(cash_wallet) As num_cash_wallet, SUM(pins_wallet) As num_pins_wallet, SUM(reward_wallet) As num_reward_wallet
    FROM wallet
    WHERE status = '1'";    
    $result_wallet = $mysqli->query($data_wallet);
	if ($result_wallet ->num_rows > 0)
	{
		$row_wallet = $result_wallet ->fetch_assoc();
		$cash_wallet = number_format($row_wallet['num_cash_wallet'],2);
        $pins_wallet = number_format($row_wallet['num_pins_wallet'],2);
        $reward_wallet = number_format($row_wallet['num_reward_wallet'],2);
	}

    $data_total_withdraw = 
    "SELECT SUM(out_transactions) As num 
    FROM transactions  
    WHERE type_of_transaction = 'CW'
    AND withdraw_status != ' '
    AND status = '1'";    
    $result_total_withdraw = $mysqli->query($data_total_withdraw);
	if ($result_total_withdraw ->num_rows > 0)
	{
		$row_total_withdraw = $result_total_withdraw ->fetch_assoc();
		$full_total_withdraw = number_format($row_total_withdraw['num'],2);
	}
?>

<?php 
date_default_timezone_set("Asia/Kuala_Lumpur");
$today = date('Y-m-d');

$sql = "SELECT * FROM user
WHERE ref_code='$ref_code'
And status='1'";
$result = $mysqli->query($sql);
if ($result->num_rows > 0)
{
    $row = $result->fetch_assoc();		
	$sponsor_code = $row['sponsor_code'];
	$ref_code = $row['ref_code'];
    $nick_name = $row['nick_name'];
    $rank = $row['rank'];
	$name = $row['name'];
    $email= $row['email'];
    $last_name = $row['last_name'];
	$level = $row['level'];
    $package_type = $row['package_type'];
    $created_date = $row['created_date'];
    $created_date_display = date('d-m-Y', strtotime($row['created_date']));
}

$sql_member = "SELECT *
FROM member_setting
WHERE rank = '$rank' 
AND status='1'
order by id Asc";
$result_member = $mysqli-> query($sql_member);
if ($result_member -> num_rows > 0)
{
	$row_member = $result_member ->fetch_assoc();
	$role_name = $row_member['role_name'];
}
?>

<div class="row">
    <!-- Column -->

    <div class="col-lg-12">
        <div class="card ">
            <img class="card-img" height="350" src="../Assets/images/banner.jpg" alt="Card image">
            <div class="card-img-overlay  social-profile-first ">
                <img style="margin-top:100px;" src="../Assets/images/personal.png" class="img-circle" width="100">
                <h4 class="card-title text-white"><?php echo $name; ?> <?php echo $last_name; ?> </h4>
                <h5 class="text-white"><b>Username: <?php echo $nick_name; ?></b></h5>  
            </div>          
        </div>
    </div>
</div>

<div class="row">  
    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL SALE</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-graph"></i> RM <?php echo $full_total_package_paid; ?> </h3>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL COMMISSION</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-wallet"></i> RM <?php echo $full_total_commission; ?></h3>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL WITHDRAW</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-wallet"></i> RM <?php echo $full_total_withdraw; ?></h3>
                </div>
            </div>
        </div>
    </div>
    
    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL MEMBER</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-user"></i> <?php echo $total_downline; ?></h3>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL E-WALLET</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-wallet"></i> RM <?php echo $cash_wallet; ?></h3>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL PV-WALLET</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-wallet"></i> <?php echo $pins_wallet; ?> PV</h3>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-4">
        <div style="background-color:#0e7162" class="card text-white">
            <div class="card-body">
                <h5 class="card-title">TOTAL REWARD POINT</h5>
                <div class="col-12  m-t-30">
                    <h3 class="text-white"><i class="icon-wallet"></i> <?php echo $reward_wallet; ?></h3>
                </div>
            </div>
        </div>
    </div>

    <br>
</div>

<script>
function myFunction() {
  var copyText = document.getElementById("myInput");
  copyText.select();
  copyText.setSelectionRange(0, 99999)
  document.execCommand("copy");
  alert("Copied the text: " + copyText.value);
}
</script>

