<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<?php
$comm_type = $_GET['comm_type'];

if ($comm_type == "Bonus_Unilevel")
{
    $title = 'Bnous Unilevel Commission Report';
    $type_of_process = "bonus_unilevel_level_";
}
else
if ($comm_type == "Bonus_Repeat")
{
    $title = 'Bonus Repeat Report';
    $type_of_process = "bonus_repeat_sale_level_";
}
else
if ($comm_type == "Potential_Bonus_Repeat")
{
    $title = 'Potential Bonus Repeat Report';
    $type_of_process = "potential_bonus_repeat_sale_level_";
}
else
if ($comm_type == "Bonus_Personal")
{
    $title = 'Bonus Personal Sale Report';
    $type_of_process = "bonus_personal_";
}
else
if ($comm_type == "Bonus_Stokist")
{
    $title = 'Bonus Order Stokist Report';
    $type_of_process = "Order Commissio";
}
?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
    
<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-body">
                <form method="post" action="" enctype="multipart/form-data">
                    <div class="form-body">
                        <h3 class="card-title">Date Selection</h3>
                        <hr>
                        <div class="row p-t-20">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">From</label>
                                    <input type="date" class="form-control" name="from_date"  required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">To</label>
                                    <input type="date" class="form-control" name="to_date"  required>
                                </div>
                            </div>                   
                        </div>
                    </div>
                    <div class="form-actions">
                        <button name="Date_Selection" class="btn btn-success"><i class="fa fa-check"></i> Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>  

<?php
if (isset($_POST['Date_Selection'])) 
{
    $from_date = $_POST['from_date'];

    $to_date = $_POST['to_date'];
    $to_date = date('Y-m-d', strtotime("+1 day", strtotime($to_date)));

    $from_date_display = date('d-m-Y', strtotime($_POST['from_date']));
    $to_date_display = date('d-m-Y', strtotime($_POST['to_date']));
}

date_default_timezone_set("Asia/Kuala_Lumpur");
$current_date = date('Y-m-d');

if ( $from_date == "" )
{
    $from_date_display = date("01-m-Y", strtotime($current_date));
    $from_date = date("Y-m-01", strtotime($current_date));
}

if ( $to_date == "" )
{
    $to_date_display = date("t-m-Y", strtotime($current_date));
    $to_date = date('Y-m-d', strtotime("+1 day", strtotime($current_date)));
}

?>                
    
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
<div class="col-12">
    <div class="card">
        <div class="card-body">
            <h4 class="card-title"><?php echo $title; ?> From <?php echo $from_date_display; ?> To <?php echo $to_date_display; ?> </h4>
            <h6 class="card-subtitle">Export data to Copy, CSV, Excel, PDF & Print</h6>
            <div class="table-responsive m-t-40">
                                
                <table id="example23"
                    class="display nowrap table table-hover table-striped table-bordered"
                    cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th style="display:none;">ID</th>
                            <th>Commission ID</th>                           
                            <th>Agent Detail</th>
                            <th>Description</th>
                            <th>Commission Amount</th>
                            <th>Wallet Balance</th>
						    <th>Date</th>
                        </tr>
                    </thead>                                      
                    <tbody>
                        <?php
                        if ( $level == "1")
                        {
                            $q = "SELECT *
                            FROM transactions
                            Where type_of_process Like '$type_of_process%'
                            And created_date >= '$from_date'
                            And created_date <= '$to_date'
                            order by id Desc";
						}
                        else
                        {
                            $q = "SELECT *
                            FROM transactions
                            Where user_ref_code = '$ref_code'
                            And type_of_process Like '$type_of_process%'
                            And created_date >= '$from_date'
                            And created_date <= '$to_date'
                            order by id Desc";                          
						}
                                            
                        $result = $mysqli->query($q);
                        if ($result->num_rows > 0)
                        {
                            while($record = $result -> fetch_assoc())
                            {    						   
						        $id = $record['id'];
                                $user_ref_code = $record['user_ref_code'];
                                $in_transactions = number_format($record['in_transactions'],2);
						        $balance = number_format($record['balance'],2);
                                $description = $record['description'];
                                $created_date = $record['created_date'];
                                //$created_date = date('d-m-Y', strtotime($created_date));
						        $status = $record['status'];

                                $sql_user = "SELECT * FROM user 
                                WHERE ref_code='$user_ref_code'
                                And status='1'";
                                $result_user = $mysqli->query($sql_user);
	                            if ($result_user ->num_rows > 0)
	                            {
		                            $row_user = $result_user ->fetch_assoc();
		                            $type_of_user = $row_user['type_of_user'];
                                    $name = $row_user['name'];
                                    $username = $row_user['nick_name'];
                                    $last_name = $row_user['last_name'];
                                    $email = $row_user['email'];
                                    $phone_number = $row_user['phone_number'];
	                            }  
                        ?>
                        <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                        <tr>
                            <td style="display:none;"><?php echo $id;?></td>
                            <td>COM00<?php echo $id;?></td>
                            <td><?php echo $username;?> | <?php echo $name;?></td>
							<td><?php echo $description;?></td>
                            <td><?php echo $in_transactions;?></td>
                            <td><?php echo $balance;?></td>
                            <td><?php echo $created_date;?></td>
                        </tr>
                        <?php 
                        }
                        }
                        ?>
                    </tbody>
                    </table>
                </form>
                                            
            </div>
        </div>
    </div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>