<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
    
    
                
    
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
<div class="col-12">
    <div class="card">
        <div class="card-body">
            <h4 class="card-title">List of Unactive Members</h4>
            <h6 class="card-subtitle">Export data to Copy, CSV, Excel, PDF & Print</h6>
            <div class="table-responsive m-t-40">
                <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                <table id="example23"
                    class="display nowrap table table-hover table-striped table-bordered"
                    cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th>Action</th>
                            <th>Member Info</th>
                            <th>Role Name</th>
                            <th>Amount</th>
                            <th>Payment Method</th>
                            <th>Payment Date</th>   
                        </tr>
                    </thead>                                      
                    <tbody>
                        <?php       
                        $sql_package_payment = "SELECT * 
						FROM package_payment
                        Where payment_method In ('Cash','Manual')
                        AND status = '0'
						order by id Asc";
                        
                        $result_package_payment = $mysqli->query($sql_package_payment);
                        if ($result_package_payment->num_rows > 0)
                        {
                        while($record = $result_package_payment -> fetch_assoc())
                        {
                            $ref_code = $record['ref_code'];
                            $role_name = $record['role_name'];
                            $trans_code = $record['trans_code'];
						    $payment_code = $record['payment_code'];
						    $full_amount = $record['full_amount'];
                            $payment_method = $record['payment_method'];
                            
                            $created_date = $record['created_date'];
                            $created_date = date('d-m-Y', strtotime($created_date));  
                            
                            $sql_user = "SELECT * 
                            FROM user 
                            WHERE ref_code='$ref_code'
                            And status='1'";
                            $result_user = $mysqli->query($sql_user);
                            if ($result_user ->num_rows > 0)
                            {
	                            $row_user = $result_user ->fetch_assoc();
	                            $type_of_user = $row_user['type_of_user'];
                                $name = $row_user['name'];
                                $nick_name = $row_user['nick_name'];
                                $last_name = $row_user['last_name'];
                                $email = $row_user['email'];
                                $phone_number = $row_user['phone_number'];
                            }  
                        ?>
                        <tr>
                            <td>
                            <a href="checkout_proceed_B_after_payment_activation_cash.php?status_id=1&billcode=<?php echo $payment_code; ?>" onClick="javascript: return confirm('Do you want to proceed Approve Activation For <?php echo $nick_name; ?>?');" class="btn btn-success"><i class="fa fa-podcast"></i>&nbsp; Approve Activation</a> 
                            </td>
                            <td><?php echo $nick_name;?> | <?php echo $name;?></td>
                            <td><?php echo $role_name;?></td>
                            <td>RM <?php echo $full_amount;?></td>
                            <td><?php echo $payment_method;?></td>  
                            <td><?php echo $created_date;?></td>    
                        </tr>
                        <?php 
                        } 
                        }
                        ?>
                    </tbody>
                </table>
                </form>
            </div>
        </div>
    </div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery --> 
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

    

</body>

</html>