<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->

<?php
$product_looping = array("1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20");
?>
<div class="row">
<div class="col-lg-12">
<div class="card">
    <div class="card-body">
        <form method="post" action="../Controller/Database_sql.php" enctype="multipart/form-data">
            <div class="form-body">
                <h3 class="card-title">Order Stock</h3>
                <hr>
                <div class="row p-t-20">
                    <?php
                    if ($level == '1')
                    {
                    ?>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="control-label">STOKIS/PJU Username</label>
                                <input type="text" class="form-control" name="nick_name" required>
                            </div>
                        </div>
                    <?php
                    }
                    else
                    {
                    ?>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="control-label">STOKIS/PJU Username</label>
                                <input type="text" class="form-control" name="nick_name" value="<?php echo $username; ?>" readonly>
                            </div>
                        </div>
                    <?php
                    }
                    ?>

                    <?php
                    foreach ($product_looping as $product_looping_list) 
		            {
                        ?>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Product <?php echo $product_looping_list; ?></label>
                                <select class="form-control" name="product_code_<?php echo $product_looping_list; ?>">
                                <option value="">Select Product</option>
                                    <?php
                                    $q = "SELECT *
                                    FROM product_setting
                                    WHERE status='1'
                                    order by product_name Asc";
                                    $result = $mysqli->query($q);
                                    if ($result ->num_rows > 0)
                                    {
                                        while($record = $result -> fetch_assoc())
                                        {
                                            $product_id = $record['id'];
                                            $product_code = $record['product_code'];
                                            $product_price = $record['product_price'];
                                            $product_pv = $record['product_pv'];
                                            $product_name = $record['product_name'];
                                            $product_stock = $record['product_stock'];
                                            ?>
                                            <option value="<?php echo $product_code; ?>"><?php echo $product_name; ?></option>
                                            <?php
                                        }
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="control-label">Quantity</label>
                                <input type="number" class="form-control" name="total_quantity_<?php echo $product_looping_list; ?>">
                            </div>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <div class="form-actions">
                <input type="hidden" class="form-control" name="owner_code" value="PRM10000">
                <?php 
                if ($level == '1')
                {
                    ?>
                    <button name="Transfer_Stock" class="btn btn-success"><i class="fa fa-check"></i> TRANSFER</button>
                    <?php
                }
                else
                if ($level == '2')
                {
                    ?>
                    <button name="Order_Stock" class="btn btn-success"><i class="fa fa-check"></i> ORDER</button>
                    <?php
                }
                ?>
                
            </div>
        </form>
    </div>
</div>
</div>
</div>

<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>