<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
<div class="col-12">
<div class="card">
    <div class="card-body">
        <h4 class="card-title">Order/Transfer Stock History</h4>
        <div class="table-responsive m-t-40">            
            <table id="example23" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Transfer ID</th>
                        <th>Member Info <font color="white">_______</font></th>
                        <th>Product Info <font color="white">_______</font></th>
                        <th>Total Quantity</th>
                        <th>Date Transfer</th>
                        <th>Status</th>
                        <th>Action</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php
                    if ($level == '1')
                    {
                        $q = "SELECT *
                        FROM transactions
                        WHERE type_of_process = 'Transfer Stock'
                        AND status != '9'
                        group by trans_code
                        order by id Asc";
                    }
                    else
                    if ($level == '2')
                    {
                         $q = "SELECT *
                        FROM transactions
                        WHERE type_of_process = 'Transfer Stock'
                        AND user_ref_code = '$ref_code'
                        AND status != '9'
                        group by trans_code
                        order by id Asc";
                    }

                    $result = $mysqli->query($q);
                    if ($result ->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        { 
						    $id = $record['id'];
                            $member_ref_code = $record['user_ref_code'];
                            $trans_code = $record['trans_code'];
                            $status_1 = $record['status'];
                            $created_date = date('d-m-Y', strtotime($record['created_date']));

                            if ($status_1 == '0')
                            {
                                $status = "Pending";
                            }
                            else
                            if ($status_1 == '1')
                            {
                                $status = "Approved";
                            }

                            $data_total = "SELECT SUM(in_transactions) As total_quantity
                            FROM transactions
                            WHERE trans_code = '$trans_code'";    
                            $result_total = $mysqli->query($data_total);
	                        if ($result_total ->num_rows > 0)
	                        {
		                        $row_total = $result_total ->fetch_assoc();
		                        $full_total_quantity = $row_total['total_quantity'];
	                        }

                            $sql_user = "SELECT *
                            FROM user
                            WHERE ref_code = '$member_ref_code'
		                    AND status = '1'";
		                    $result_user = $mysqli-> query($sql_user);
		                    if ($result_user -> num_rows > 0)
		                    {
			                    $row_user = $result_user ->fetch_assoc();
			                    $My_ref_code = $row_user['ref_code'];
			                    $Member_username = $row_user['username'];
			                    $My_sponsorlvl1_code = $row_user['sponsor_code'];
			                    $keyin_code = $row_user['keyin_code'];
			                    $Name = $row_user['name'];
			                    $Email = $row_user['email'];
			                    $phone_number = $row_user['phone_number'];
		                    }
                    ?>
                    <form method="post" onsubmit="return confirm('Do you want to proceed?');" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                    <tr>
                        <td><?php echo $id; ?></td>
                        <td><?php echo $Member_username; ?> | <?php echo $Name; ?></td>
                        <td>
                            <?php
                            $q_info = "SELECT *
                            FROM transactions
                            WHERE trans_code = '$trans_code'
                            AND type_of_process = 'Transfer Stock'
                            order by id Asc";
                            $result_info = $mysqli->query($q_info);
                            if ($result_info ->num_rows > 0)
                            {
                                while($record_info = $result_info -> fetch_assoc())
                                { 
						            $id = $record_info['id'];
                                    $product_code = $record_info['trx_ref'];
                                    $total_quantity = $record_info['in_transactions'];
 
                                    $sql_product = "SELECT *
				                    FROM product_setting
				                    Where product_code  = '$product_code'
				                    And status='1'";
                                    $result_product = $mysqli-> query($sql_product);
                                    if ($result_product -> num_rows > 0)
                                    {
	                                    $row_product = $result_product ->fetch_assoc();
	                                    $product_name = $row_product['product_name'];
                                        $product_pv = $row_product['product_pv'];
                                    }

                                    $total_pv = $product_pv * $total_quantity;
                                    $total_reward = $total_pv/10;
                                    ?>

                                    <?php echo $product_name; ?> | QTY: <?php echo $total_quantity; ?> | <?php echo $total_pv; ?> PV | <?php echo $total_reward; ?> Point<br>
                                <?php
                                }
                            }
                            ?>
                        </td>
                        <td><?php echo $full_total_quantity; ?></td>
                        <td><?php echo $created_date; ?></td>
                        <td><?php echo $status; ?></td>
                        <td>
                        <?php
                        if ($status_1 == '0' && $level == '1')
                        {
                        ?>
                        <a href="../Controller/Database_sql.php?form_name_Approve_Order_Stock=Approve_Order_Stock&trans_code=<?php echo $trans_code;?>" class="btn btn-success">Approve</a>
                        <?php
                        } 
                        ?>
                       </td>
                    </form> 
                    </tr>
                    <?php 
                    }
                    }
                    ?>
                </tbody>
            </table>
            </form>                                 
        </div>
    </div>
</div>                      
</div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->

</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->

</body>

</html>