<?php include("../Header/Session.php"); ?>
<?php include("../Header/Connection.php"); ?>

<!DOCTYPE html>
<html lang="en">
<?php include ("../Header/head.php"); ?>
<body class="skin-default fixed-layout">

<!-- Main wrapper - style you can find in pages.scss -->
<div id="main-wrapper">    
<?php include ("../Header/header.php"); ?>
<?php include ("../Header/left_menu.php"); ?>
<?php include ("../Header/right_sidebar.php"); ?>
        
<!-- Page wrapper  -->
<div class="page-wrapper">
<!-- Container fluid  -->
<div class="container-fluid">
<!-- Bread crumb and right sidebar toggle -->
<!--?php include ("../Header/breadcumb.php"); ?-->
<br><br>
<!-- End Bread crumb and right sidebar toggle -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<?php
$payment_code = htmlspecialchars($_GET['payment_code'],ENT_QUOTES);

$sql_sale = "SELECT *
            FROM product_sale
            WHERE payment_code = '$payment_code'
            AND status='1'
            order by id Asc";
$result_sale = $mysqli-> query($sql_sale);
if ($result_sale -> num_rows > 0)
{
	$row_sale = $result_sale ->fetch_assoc();
    $sale_id = $row_sale['id'];
	$member_ref_code = $row_sale['ref_code'];
	$new_rank = $row_sale['rank'];
	$full_total_price = $row_sale['modal_price'];
    $created_date = date('d-m-Y', strtotime($row_sale['created_date']));
}

$sql_user = "SELECT * 
FROM user 
WHERE ref_code='$member_ref_code'
And status='1'";
$result_user = $mysqli->query($sql_user);
if ($result_user ->num_rows > 0)
{
	$row_user = $result_user ->fetch_assoc();
	$username = $row_user['username'];
    $name = $row_user['name'];
    $address = $row_user['address'];
    $address_2 = $row_user['address_2'];
    $postcode = $row_user['postcode'];
    $state = $row_user['state'];
    $country = $row_user['country'];
}  

$sql_payment = "SELECT * 
FROM payment 
WHERE payment_code='$payment_code' ";
$result_payment = $mysqli-> query($sql_payment);
if ($result_payment -> num_rows > 0)
{
	$row_payment = $result_payment ->fetch_assoc();
	$payment_type = $row_payment['payment_type'];
    $amount_wallet = $row_payment['amount_wallet'];

    if($payment_type == "Cash_And_Wallet")
    {
        $payment_type_display = "Wallet & Cash"; 
    }
    else
    {
        $payment_type_display = $payment_type;
    }
}
?>

<div class="row">
<div class="col-md-12">
    <div class="card card-body printableArea">
        <h3><b>INVOICE</b> <span class="pull-right">#<?php echo $sale_id; ?></span></h3>
        <hr>
        <h3><img src="../Assets/images/Logo.png" style="border-radius:10px;" width="160px" height="120px"> <span class="pull-right"><b>PRIMASA NETWORK SDN BHD</b></span></h3>
        <div class="col-md-12">
            <div class="table-responsive m-t-40" style="clear: both;">
                <table class="table table-hover">
                    <tbody>
                        <tr>
                            <td class="text-center">Username</td>
                            <td><?php echo $username; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Name</td>
                            <td><?php echo $name; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">ID No.</td>
                            <td><?php echo $member_ref_code; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Invoice Date</td>
                            <td><?php echo $created_date; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Sales Type</td>
                            <td><?php echo "Repurchase"; ?></td>
                        </tr>
                        <tr>
                            <td class="text-center">Address</td>
                            <td>
                            <?php echo $address; ?> <?php echo $address_2; ?><br>
                            <?php echo $postcode; ?>,<br>
                            <?php echo $state; ?>,<br>
                            <?php echo $country; ?>,<br>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive m-t-40" style="clear: both;">
                <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Product Name <font color="white">_______</font></th>
                        <th>Quantity</th>
                        <th>Total Price (RM)</th>
                        <th>Total PV (PV)</th>
                        <th>Total Reward (Point)</th>
                        <th>Date Purchased</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <?php

                    $data_total = "SELECT SUM(total_quantity) As total_quantity, SUM(total_price) As total_price, SUM(total_pv) As total_pv, SUM(total_reward) As total_reward 
                    FROM product_sale
                    WHERE payment_code = '$payment_code'";    
                    $result_total = $mysqli->query($data_total);
	                if ($result_total ->num_rows > 0)
	                {
		                $row_total = $result_total ->fetch_assoc();
		                $full_total_quantity = number_format($row_total['total_quantity'],2);
                        $full_total_price = number_format($row_total['total_price'],2);
                        $full_total_pv = number_format($row_total['total_pv'],2);
                        $full_total_reward = number_format($row_total['total_reward'],2);
	                }

                    $amount_cash = $full_total_price - $amount_wallet;

                    $q = "SELECT *
                    FROM product_sale
                    WHERE payment_code = '$payment_code'
                    AND status='1'
                    order by id Asc";
                    $result = $mysqli->query($q);
                    if ($result ->num_rows > 0)
                    {
                        while($record = $result -> fetch_assoc())
                        { 
						    $id = $record['id'];
                            $product_code = $record['product_code'];
                            $payment_code = $record['payment_code'];
                            $total_price = $record['total_price'];
                            $total_quantity = $record['total_quantity'];
                            $total_pv= $record['total_pv'];
                            $total_reward= $record['total_reward'];
                            $created_date = date('d-m-Y', strtotime($record['created_date']));

                            $sql_product = "SELECT *
				                            FROM product_setting
				                            Where product_code  = '$product_code'
				                            And status='1'";
                            $result_product = $mysqli-> query($sql_product);
                            if ($result_product -> num_rows > 0)
                            {
	                            $row_product = $result_product ->fetch_assoc();
	                            $product_name = $row_product['product_name'];
                            }
                    ?>
                    <form method="post" onsubmit="return confirm('Do you want to proceed?');" action="../Controller/Database_sql.php" enctype="multipart/form-data">
                    <tr>
                        <td><?php echo $product_name; ?></td>
                        <td><?php echo $total_quantity; ?></td>
                        <td><?php echo $total_price; ?></td>
                        <td><?php echo $total_pv; ?></td>
                        <td><?php echo $total_reward; ?></td>
                        <td><?php echo $created_date; ?></td>
                    </form> 
                    </tr>
                    <?php 
                    }
                    }
                    ?>
                </tbody>
                </table>

                <table class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Payment Mode</th>
                        <th>Amount (RM)</th>
                        <th>PV (PV)</th>
                        <th>Reward (Point)</th>
                        <th>Remarks</th>
                    </tr>
                </thead>                                      
                <tbody>
                    <tr>
                        <td><?php echo $payment_type_display; ?>
                        </td>
                        <td><?php echo $full_total_price; ?></td>
                        <td><?php echo $full_total_pv; ?></td>
                        <td><?php echo $full_total_reward; ?></td>
                        <td>
                        <?php if ($payment_type == "Cash_And_Wallet")
                        {
                            ?>
                            <b>Wallet: RM <?php echo $amount_wallet; ?></b>
                            <br><b>Cash: RM <?php echo number_format($amount_cash,2); ?></b>
                            <?php
                        }
                        ?>
                        </td>
                    </tr>
                </tbody>
                </table>
                </div>
                <a href="product_purchase_history.php"class="btn btn-success">Back</a>
            </div>  
        </div>
    </div>
</div>
</div>

                


</div>
<!-- End Container fluid  -->
</div>
<!-- End Page wrapper  -->

<!-- Footer Start-->
<?php include ("../Footer/footer.php"); ?>
<!-- Footer End-->

</div>
<!-- End Wrapper -->
<!-- All Jquery -->
    

<!-- All Jquery Start-->
<?php include ("../Header/all_jquery.php"); ?>
<!-- All Jquery End-->



</body>

</html>